Schiphol PublicFlight API

Schiphol PublicFlight API

4.0-accOAS 3.0

Public-Flights Flight API

API Base URL
  • Server 1:https://{environment}.schiphol.nl/public/public-flights/v4
    Variables
    environment:
Security
oauth2Prod (oauth2)

OAuth2 access tokens are JWTs and follow RFC8725 recommendations. When requesting tokens also specifying the audience: https://{environment}.schiphol.nl/{x-api-type} e.g. https://api-acc.schiphol.nl/internal or https://api.schiphol.nl/internal

oauth2Acc (oauth2)

OAuth2 access tokens are JWTs and follow RFC8725 recommendations. When requesting tokens also specifying the audience: https://{environment}.schiphol.nl/{x-api-type} e.g. https://api-acc.schiphol.nl/internal or https://api.schiphol.nl/internal

bearerAuth (http)

JWT token are passed as a bearer to the API

Retrieves a Flight based on flight-id

get
https://api.schiphol.nl/public/public-flights/v4/flights/{id}

Path Parameters

idstringrequired

Unique numeric id of flight

Match pattern:^[0-9]+$

<= 25 characters

Headers

Acceptstringrequired

Only ‘application/json’ is allowed

<= 25 characters

Example:application/json

ResourceVersionstringrequired

Resource version of the API

Match pattern:v4

<= 25 characters

Example:v4

Response

application/json

OK

Flight

lastUpdatedAtstring(date-time)

<= 25 characters

actualLandingTimestring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

actualOffBlockTimestring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

aircraftRegistrationstring

<= 25 characters

aircraftTypeobject
Show Child Parameters
baggageClaimobject
Show Child Parameters
checkinAllocationsobject
Show Child Parameters
codesharesobject
Show Child Parameters
estimatedLandingTimestring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

expectedTimeBoardingstring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

expectedTimeGateClosingstring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

expectedTimeGateOpenstring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

expectedTimeOnBeltstring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

expectedSecurityFilterstring

expected security filter

<= 25 characters

flightDirectionstring

Allowed values:AD

flightNamestring

<= 25 characters

flightNumberinteger(int64)

>= 0<= 9999999999

gatestring

<= 25 characters

pierstring

<= 25 characters

idstring

<= 25 characters

isOperationalFlightboolean
mainFlightstring

<= 25 characters

prefixIATAstring

<= 25 characters

prefixICAOstring

<= 25 characters

airlineCodeinteger(int64)

>= 0<= 9999999999

publicEstimatedOffBlockTimestring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

publicFlightStateobject
Show Child Parameters
routeobject
Show Child Parameters
scheduleDateTimestring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

scheduleDatestring(date)

yyyy-MM-dd

<= 25 characters

scheduleTimestring

hh:mm:ss

<= 25 characters

serviceTypestring

The service type category of the commercial flight. For example: J = Passenger Line, C=Passenger Charter, F = Freight Line and H = Freight Charter etc.

<= 25 characters

terminalinteger(int64)

>= 0<= 9999999999

transferPositionsobject
Show Child Parameters
schemaVersionstring

<= 25 characters

get/flights/{id}
 
application/json

Retrieve flight IDs based on a datetime range

Returns a list of flight IDs for flights scheduled within the specified datetime range (filters on scheduleDateTime). Max date range is three days.

get
https://api.schiphol.nl/public/public-flights/v4/flights/ids

Query Parameters

fromDateTimestring(local-date-time)required

From date of search period. Format: yyyy-MM-dd’T’HH:mm:ss

<= 25 characters

toDateTimestring(local-date-time)required

To date of search period (inclusive). Format: yyyy-MM-dd’T’HH:mm:ss

<= 25 characters

Headers

Acceptstringrequired

Only ‘application/json’ is allowed

<= 25 characters

Example:application/json

ResourceVersionstringrequired

Resource version of the API

Match pattern:v4

<= 25 characters

Example:v4

Response

application/json

List of flight IDs

array[string]

<= 25 characters<= 1000 items

get/flights/ids
 
application/json